/* 
         Quasi-Two-Dimensional  (J1-J2-chains coupled via J3)

      Data-File: ../Data/Quasi_2D_j1j2j3.ccm

      define Alpha as 1 in solve.C to activate this file
 
    *-------*-------*-------*-------*
   1|      2|      3|      4|      5|
  J3|       |       |       |       |
    |       |       |       |       |
    |       |       |       |       |                   J2
    *-------*-------*-------*-------*            *-------*-------*
   1|   J1 2|      3|      4|      5|            2               4
    |       |       |       |       |
    |       |       |       |       |
    |       |       |       |       |                
    *-------*-------*-------*-------*
   1        2        3       4      5

    bond1 = J2 = Delta
    bond2 = J1
    bond3 = J3
  
    LC-case: J3=0, J2=0, phi1=Pi Eg(4-4)=-0.66366391 ???

*/

double usr_angle(int bond, int term, double alpha)
{

  double mult = 0.0;  // default for term13 = {10,11,12,13}
  double       phi1 = M_PI +       alpha; /* + M_PI was in the script ??? */
  double       phi2 = M_PI +     2*alpha;  // nn-neigbour 
  const double phi3 = M_PI +           0;
  // double j2 = 0.0;
  
  if (bond==1) {   // J1 bit now...
    // delta term
    // here it's J_2 coefficients for the 1D spiral J_1--J_2 model
    // now the J_2 part
    if      (term_13[term] == 1) mult=       cos(phi2);    // s^z s^z 
    else if (term_13[term] == 2) mult=   0.5*sin(phi2);    // s^z s^+ 
    else if (term_13[term] == 3) mult=   0.5*sin(phi2);    // s^z s^- 
    else if (term_13[term] == 4) mult=  -0.5*sin(phi2);    // s^+ s^z
    else if (term_13[term] == 5) mult=  -0.5*sin(phi2);    // s^- s^z
    else if (term_13[term] == 6) mult= 0.25*(cos(phi2)+1); // s^+ s^-
    else if (term_13[term] == 7) mult= 0.25*(cos(phi2)+1); // s^- s^+
    else if (term_13[term] == 8) mult= 0.25*(cos(phi2)-1); // s^+ s^+
    else if (term_13[term] == 9) mult= 0.25*(cos(phi2)-1); // s^- s^-
    /* 10..13 ??? */
  } else if (bond==2) {  // J_2 bit now...
    if      (term_13[term] == 1) mult=       cos(phi1);   // -cos -> cos Oct05
    else if (term_13[term] == 2) mult=   0.5*sin(phi1);
    else if (term_13[term] == 3) mult=   0.5*sin(phi1);
    else if (term_13[term] == 4) mult=  -0.5*sin(phi1);
    else if (term_13[term] == 5) mult=  -0.5*sin(phi1);
    else if (term_13[term] == 6) mult= 0.25*(cos(phi1)+1); // Oct05: -cos
    else if (term_13[term] == 7) mult= 0.25*(cos(phi1)+1);
    else if (term_13[term] == 8) mult= 0.25*(cos(phi1)-1);
    else if (term_13[term] == 9) mult= 0.25*(cos(phi1)-1);
  } else {   // J_3 bit now...
    if      (term_13[term] == 1) mult=       cos(phi3); // Oct05: -cos 
    else if (term_13[term] == 2) mult=   0.5*sin(phi3);
    else if (term_13[term] == 3) mult=   0.5*sin(phi3);
    else if (term_13[term] == 4) mult=  -0.5*sin(phi3);
    else if (term_13[term] == 5) mult=  -0.5*sin(phi3);
    else if (term_13[term] == 6) mult= 0.25*(cos(phi3)+1);
    else if (term_13[term] == 7) mult= 0.25*(cos(phi3)+1);
    else if (term_13[term] == 8) mult= 0.25*(cos(phi3)-1);
    else if (term_13[term] == 9) mult= 0.25*(cos(phi3)-1);
  }                                                                     
  return mult;
}
